
From: Jay Lan <jlan@sgi.com>

The new "move-accounting-function-calls-out-of-critical-vm-code-paths"
patch in 2.6.11-rc3-mm2 was different from the code i tested.

In particular, it mistakenly dropped the accounting routine calls
in fs/exec.c. The calls in do_execve() are needed to properly
initialize accounting fields. Specifically, the tsk->acct_stimexpd
needs to be initialized to tsk->stime.

I have discussed this with Christoph Lameter and he gave me full
blessings to bring the calls back.

Signed-off-by: Jay Lan <jlan@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/exec.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/exec.c~move-accounting-function-calls-out-of-critical-vm-code-pathspatch-fix fs/exec.c
--- 25/fs/exec.c~move-accounting-function-calls-out-of-critical-vm-code-pathspatch-fix	2005-02-18 11:06:07.000000000 -0800
+++ 25-akpm/fs/exec.c	2005-02-18 11:06:07.000000000 -0800
@@ -1193,6 +1193,8 @@ int do_execve(char * filename,
 
 		/* execve success */
 		security_bprm_free(bprm);
+		acct_update_integrals(current);
+		update_mem_hiwater(current);
 		kfree(bprm);
 		return retval;
 	}
_
